Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DraftMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.DraftMessage

Enclosing class:
  TdApi

public static final class TdApi.DraftMessage extends TdApi.Object
Contains information about a message draft.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`date`
Point in time (Unix timestamp) when the draft was created.
`TdApi.InputMessageContent`
`inputMessageText`
Content of the message draft; must be of the type inputMessageText.
`long`
`replyToMessageId`
Identifier of the message to reply to; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`DraftMessage()`
Contains information about a message draft.
`DraftMessage(long replyToMessageId, int date, TdApi.InputMessageContent inputMessageText)`
Contains information about a message draft.
`DraftMessage(DataInput input)`
Contains information about a message draft.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### replyToMessageId

public long replyToMessageId
Identifier of the message to reply to; 0 if none.

### date

public int date
Point in time (Unix timestamp) when the draft was created.

### inputMessageText

public TdApi.InputMessageContent inputMessageText
Content of the message draft; must be of the type inputMessageText.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### DraftMessage

public DraftMessage()
Contains information about a message draft.

### DraftMessage

public DraftMessage(long replyToMessageId, int date, TdApi.InputMessageContent inputMessageText)
Contains information about a message draft.

Parameters:
  `replyToMessageId` - long Identifier of the message to reply to; 0 if none.
  `date` - int Point in time (Unix timestamp) when the draft was created.
  `inputMessageText` - InputMessageContent Content of the message draft; must be of the type inputMessageText.

### DraftMessage

public DraftMessage(DataInput input) throws IOException
Contains information about a message draft.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`